
From: Bernard Blackham <bernard@blackham.com.au>

Fix u32 vs pm_message_t confusion in cpufreq.

Signed-off-by: Bernard Blackham <bernard@blackham.com.au>
Signed-off-by: Pavel Machek <pavel@suse.cz>
Cc: Dave Jones <davej@codemonkey.org.uk>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc/platforms/pmac_cpufreq.c |    2 +-
 drivers/cpufreq/cpufreq.c         |    4 ++--
 include/linux/cpufreq.h           |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

diff -puN arch/ppc/platforms/pmac_cpufreq.c~pm-fix-u32-vs-pm_message_t-confusion-in-cpufreq arch/ppc/platforms/pmac_cpufreq.c
--- devel/arch/ppc/platforms/pmac_cpufreq.c~pm-fix-u32-vs-pm_message_t-confusion-in-cpufreq	2005-07-06 01:26:59.000000000 -0700
+++ devel-akpm/arch/ppc/platforms/pmac_cpufreq.c	2005-07-06 01:26:59.000000000 -0700
@@ -452,7 +452,7 @@ static u32 __pmac read_gpio(struct devic
 	return offset;
 }
 
-static int __pmac pmac_cpufreq_suspend(struct cpufreq_policy *policy, u32 state)
+static int __pmac pmac_cpufreq_suspend(struct cpufreq_policy *policy, pm_message_t pmsg)
 {
 	/* Ok, this could be made a bit smarter, but let's be robust for now. We
 	 * always force a speed change to high speed before sleep, to make sure
diff -puN drivers/cpufreq/cpufreq.c~pm-fix-u32-vs-pm_message_t-confusion-in-cpufreq drivers/cpufreq/cpufreq.c
--- devel/drivers/cpufreq/cpufreq.c~pm-fix-u32-vs-pm_message_t-confusion-in-cpufreq	2005-07-06 01:26:59.000000000 -0700
+++ devel-akpm/drivers/cpufreq/cpufreq.c	2005-07-06 01:26:59.000000000 -0700
@@ -869,7 +869,7 @@ EXPORT_SYMBOL(cpufreq_get);
  *	cpufreq_suspend - let the low level driver prepare for suspend
  */
 
-static int cpufreq_suspend(struct sys_device * sysdev, u32 state)
+static int cpufreq_suspend(struct sys_device * sysdev, pm_message_t pmsg)
 {
 	int cpu = sysdev->id;
 	unsigned int ret = 0;
@@ -897,7 +897,7 @@ static int cpufreq_suspend(struct sys_de
 	}
 
 	if (cpufreq_driver->suspend) {
-		ret = cpufreq_driver->suspend(cpu_policy, state);
+		ret = cpufreq_driver->suspend(cpu_policy, pmsg);
 		if (ret) {
 			printk(KERN_ERR "cpufreq: suspend failed in ->suspend "
 					"step on CPU %u\n", cpu_policy->cpu);
diff -puN include/linux/cpufreq.h~pm-fix-u32-vs-pm_message_t-confusion-in-cpufreq include/linux/cpufreq.h
--- devel/include/linux/cpufreq.h~pm-fix-u32-vs-pm_message_t-confusion-in-cpufreq	2005-07-06 01:26:59.000000000 -0700
+++ devel-akpm/include/linux/cpufreq.h	2005-07-06 01:26:59.000000000 -0700
@@ -201,7 +201,7 @@ struct cpufreq_driver {
 
 	/* optional */
 	int	(*exit)		(struct cpufreq_policy *policy);
-	int	(*suspend)	(struct cpufreq_policy *policy, u32 state);
+	int	(*suspend)	(struct cpufreq_policy *policy, pm_message_t pmsg);
 	int	(*resume)	(struct cpufreq_policy *policy);
 	struct freq_attr	**attr;
 };
_
